[Fakeroot-commits] [SCM] fakeroot branch, upstream, updated. 08ed00124d8b6b445d3b91a9aa15eec638b02f05

Clint Adams schizo at debian.org
Sun Nov 15 03:17:31 UTC 2009


The following commit has been merged in the upstream branch:
commit 1b416aab917e06797d26af4b5485598e726544b9
Author: Clint Adams <schizo at debian.org>
Date:   Sat Oct 4 14:45:20 2008 -0400

    Remove test tmp dirs in EXIT traps.

diff --git a/test/t.chmod_dev b/test/t.chmod_dev
index 34d8c63..405e983 100755
--- a/test/t.chmod_dev
+++ b/test/t.chmod_dev
@@ -1,8 +1,8 @@
 #!/bin/sh
 
+trap 'rm -rf tmp' EXIT
 mkdir tmp
 ../scripts/fakeroot${tcp} -f ../faked${tcp} -l ../.libs/${libfakeroot} -- \
  ${posixshell} -c 'mknod tmp/hda3 b 3 0 && chmod 644 tmp/hda3 && ls -ld tmp/hda3' | grep "^b"
 TEMP=$?
-rm -rf tmp
 exit $TEMP
diff --git a/test/t.no_ld_preload b/test/t.no_ld_preload
index 64a20f2..1b19e01 100755
--- a/test/t.no_ld_preload
+++ b/test/t.no_ld_preload
@@ -1,8 +1,8 @@
 #!/bin/sh
 
+trap 'rm -rf tmp' EXIT
 mkdir tmp
 ../scripts/fakeroot${tcp} -f ../faked${tcp} -l ../.libs/${libfakeroot} -- \
  ${posixshell} -c 'touch tmp/justafile && LD_PRELOAD= rm tmp/justafile && mkdir tmp/justafile && ls -ld tmp/justafile' | grep "^d"
 TEMP=$?
-rm -rf tmp
 exit $TEMP
diff --git a/test/t.no_ld_preload_link b/test/t.no_ld_preload_link
index be32114..0b29460 100755
--- a/test/t.no_ld_preload_link
+++ b/test/t.no_ld_preload_link
@@ -1,8 +1,8 @@
 #!/bin/sh
 
+trap 'rm -rf tmp' EXIT
 mkdir tmp
 ../scripts/fakeroot${tcp} -f ../faked${tcp} -l ../.libs/${libfakeroot} -- \
  ${posixshell} -c 'touch tmp/justafile && ln -s justafile tmp/alink && LD_PRELOAD= rm tmp/alink && touch tmp/alink && ls -ld tmp/alink' | grep "^-"
 TEMP=$?
-rm -rf tmp
 exit $TEMP
diff --git a/test/t.touchinstall b/test/t.touchinstall
index 612e00d..c66eb32 100755
--- a/test/t.touchinstall
+++ b/test/t.touchinstall
@@ -1,8 +1,8 @@
 #!/bin/sh
 
+trap 'rm -rf tmp' EXIT
 mkdir tmp
 ../scripts/fakeroot${tcp} -f ../faked${tcp} -l ../.libs/${libfakeroot} -- \
  ${posixshell} -c "touch tmp/iamnotuser; ls -al tmp/iamnotuser" | grep root
 TEMP=$?
-rm -r tmp
 exit $TEMP

-- 
fakeroot



More information about the Fakeroot-commits mailing list